#include <stdio.h>

int horner(int a[], int n, int x) {
	int i,p=0;
	for (i=n; i>=0; i--)
		p=p*x+a[i];
	return p;
}

int binsearch(int a[], int n, int l, int r) {
	int m,val;
	while(l<=r) {
		m=(l+r)/2;
		val=horner(a,n,m);
		if(!val) return m;
		else if (val>0) r=m-1;
		else l=m+1;
	}
	return 0;
}

int main() {
	int a[1000],i,k,n,nul;
	printf("n=");
	scanf("%d",&n);
	for (i=0; i<=n; i++) {
		printf("a[%d]=",i);
		scanf("%d",&a[i]);
	}
	printf("k=");
	scanf("%d",&k);
	nul=binsearch(a,n,1,k);
	if(nul) printf("Skup traženih nultočaka je {%d}.\n",nul);
	else printf("Skup traženih nultočaka je prazan.\n");
	return 0;
}

